curl -X DELETE "https://api.innova-trading.com/api/external/indicators/my_signals?symbol=EURUSD&timeframe=60" \
-H "Authorization: Bearer YOUR_API_KEY"
response = requests.delete(
"https://api.innova-trading.com/api/external/indicators/my_signals",
params={"symbol": "EURUSD", "timeframe": 60},
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
if response.status_code == 200:
print("Indicator deleted successfully")
const response = await fetch(
"https://api.innova-trading.com/api/external/indicators/my_signals?symbol=EURUSD&timeframe=60",
{
method: "DELETE",
headers: { Authorization: "Bearer YOUR_API_KEY" }
}
);
if (response.ok) {
console.log("Indicator deleted successfully");
}
{
"success": true,
"message": "Indicator data deleted"
}
{
"error": "not_found",
"message": "Indicator not found"
}
External Indicators
Delete Indicator
Delete indicator data from the system
DELETE
/
api
/
external
/
indicators
/
{indicator_id}
curl -X DELETE "https://api.innova-trading.com/api/external/indicators/my_signals?symbol=EURUSD&timeframe=60" \
-H "Authorization: Bearer YOUR_API_KEY"
response = requests.delete(
"https://api.innova-trading.com/api/external/indicators/my_signals",
params={"symbol": "EURUSD", "timeframe": 60},
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
if response.status_code == 200:
print("Indicator deleted successfully")
const response = await fetch(
"https://api.innova-trading.com/api/external/indicators/my_signals?symbol=EURUSD&timeframe=60",
{
method: "DELETE",
headers: { Authorization: "Bearer YOUR_API_KEY" }
}
);
if (response.ok) {
console.log("Indicator deleted successfully");
}
{
"success": true,
"message": "Indicator data deleted"
}
{
"error": "not_found",
"message": "Indicator not found"
}
Request
string
required
The unique identifier of the indicator to delete
string
required
Trading symbol (e.g.,
EURUSD)integer
required
Timeframe in minutes
Response
boolean
Indicates if the deletion was successful
string
Confirmation message
curl -X DELETE "https://api.innova-trading.com/api/external/indicators/my_signals?symbol=EURUSD&timeframe=60" \
-H "Authorization: Bearer YOUR_API_KEY"
response = requests.delete(
"https://api.innova-trading.com/api/external/indicators/my_signals",
params={"symbol": "EURUSD", "timeframe": 60},
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
if response.status_code == 200:
print("Indicator deleted successfully")
const response = await fetch(
"https://api.innova-trading.com/api/external/indicators/my_signals?symbol=EURUSD&timeframe=60",
{
method: "DELETE",
headers: { Authorization: "Bearer YOUR_API_KEY" }
}
);
if (response.ok) {
console.log("Indicator deleted successfully");
}
{
"success": true,
"message": "Indicator data deleted"
}
{
"error": "not_found",
"message": "Indicator not found"
}
This action is irreversible. The indicator data will be immediately removed and will no longer appear on charts.
⌘I